"""Base ciphers class"""

from abc import ABC, abstractmethod


class InvalidKeyProvided(Exception):
    """Invalid key exception"""


class FailToDecryptData(Exception):
    """Decryption failed exception"""


class BaseCipher(ABC):
    """Base cipher class"""

    auxiliaryDataLen = 0

    @abstractmethod
    def encrypt(self, data: bytes) -> bytes:
        """Encrypt data"""

    @abstractmethod
    def decrypt(self, data: bytes) -> bytes:
        """Decrypt data"""
