"""Base keys bank"""

import logging
from abc import ABC, abstractmethod

logger = logging.getLogger("luna.crypt")


class FailedToGetKey(Exception):
    """Get key request exception"""


class NoKeyFound(Exception):
    """No key found exception"""


class BaseKeysBank(ABC):
    """Base keys bank class"""

    @abstractmethod
    async def getKey(self) -> tuple[str, str]:
        """Get key from storage"""
